# Class k.d._UnicodeConverter(BaseConverter):

Part of kiwi.datatypes View In Hierarchy

Undocumented

Method | as_string | Convert the value to a string using the specificed format.
Method | from_string | Convert a value from a string.

Inherited from BaseConverter:

Method | get_compare_function | This can be overriden by a subclass to provide a custom comparison
Method | get_mask | Returns the mask of the entry or None if not specified.

def as_string(self, value, format=None):
overrides kiwi.datatypes.BaseConverter.as_string
Convert the value to a string using the specificed format.

Parameters | value |
| format |
Returns |

def from_string(self, value):
overrides kiwi.datatypes.BaseConverter.from_string
Convert a value from a string.

Parameters | value |
Returns |